EasyDown API Docs
プラットフォーム別動画API

共通SNS動画ダウンロードAPI

POST /api/v1/parseで対応するSNS URLを正規化された動画・画像・音声レスポンスへ変換します。

共通エンドポイントは既存の簡潔な契約を維持します。data自体が正規化メディアオブジェクトで、platformDataは含まれません。

以下のcurl、JavaScript、Pythonの例とスキーマは、本番環境のOpenAPI 3.1契約から生成されます。

レスポンス

{
  "status": 200,
  "data": {
    "platform": "youtube",
    "title": "公開投稿の例",
    "thumbnail": "https://public-cdn.example/cover.jpg",
    "duration": 18,
    "images": [],
    "videos": [
      {
        "url": "https://public-cdn.example/video.mp4",
        "quality": "1080p",
        "mimeType": "video/mp4",
        "width": 1920,
        "height": 1080,
        "hasAudio": true,
        "source": "direct"
      }
    ],
    "audios": []
  },
  "msg": "success"
}

「Try it」パネルはapi.easydown.orgへ直接リクエストします。トークンはページのメモリだけに保持され、再読み込みすると消去されます。

POST

試してみる

ダウンロード可能なメディアを返す成功リクエストは 1 credit を消費します。失敗時は課金されません。

トークンはこのページのメモリにだけ保持され、再読み込みまたは終了時に消去されます。

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/parse" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": 200,  "data": {    "platform": "tiktok",    "title": "string",    "thumbnail": "string",    "duration": 0,    "images": [      {        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "videos": [      {        "url": "http://example.com",        "quality": "string",        "mimeType": "string",        "width": 0,        "height": 0,        "hasAudio": true,        "source": "direct",        "headers": {          "property1": "string",          "property2": "string"        }      }    ],    "audios": [      {        "url": "http://example.com",        "quality": "string",        "mimeType": "string",        "bitrate": 0,        "source": "direct",        "headers": {          "property1": "string",          "property2": "string"        }      }    ]  },  "msg": "success"}

On this page